Bug 835698 - [eap6] Cache resource uses custom component code for configuration read/write and resource creation
[eap6] Cache resource uses custom component code for configuration read/write...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: JON 3.1.1
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 826066 827636 835697
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-06-26 16:54 EDT by Stefan Negrea
Modified: 2013-09-03 11:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 827636
Environment:
Last Closed: 2013-09-03 11:01:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-06-26 16:54:41 EDT
+++ This bug was initially created as a clone of Bug #827636 +++

Cache resource (sub resource for Infinispan) component uses custom component code for resource creation, configuration read, and configuration write. Also the custom component code collects a metric even if not defined in the resource descriptor. 


This resource should follow the same pattern used by ThreadPool (sub-resource of Threads subsystem) and Path (sub-resource of HornetQ server).

--- Additional comment from ccrouch@redhat.com on 2012-06-11 10:46:26 EDT ---

As per 6/4/12 triage, target for jon311

--- Additional comment from snegrea@redhat.com on 2012-06-12 17:31:54 EDT ---

Updated the Cache resource to use the generic templated implementation for resource types.

These fixes are dependent on the fixes for bug 826066. So please first merge those code changes into any older branch before merging the above commit.
Comment 1 Stefan Negrea 2012-07-20 16:58:15 EDT
release/jon3.1.x branch commmit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=b23c393dd0a3c7aecc87d8cadd9f79cfa8786e1b
Comment 2 John Sanda 2012-08-02 14:51:49 EDT
JON 3.1.1 ER1 build is available. Moving to ON_QA.

https://brewweb.devel.redhat.com/buildinfo?buildID=226942
Comment 3 Armine Hovsepyan 2012-08-07 12:46:44 EDT
verified.
Comment 4 Heiko W. Rupp 2013-09-03 11:01:51 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.